package com.ruoyi.project.cui.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.cui.mapper.TPvesselMapper;
import com.ruoyi.project.cui.domain.TPvessel;
import com.ruoyi.project.cui.service.ITPvesselService;

import javax.annotation.Resource;

/**
 * 容器清单Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-03
 */
@Service
public class TPvesselServiceImpl implements ITPvesselService
{
    @Resource
    private TPvesselMapper tPvesselMapper;

    /**
     * 查询容器清单
     *
     * @param id 容器清单ID
     * @return 容器清单
     */
    @Override
    public TPvessel selectTPvesselById(Long id)
    {
        return tPvesselMapper.selectTPvesselById(id);
    }

    /**
     * 查询容器清单列表
     *
     * @param tPvessel 容器清单
     * @return 容器清单
     */
    @Override
    public List<TPvessel> selectTPvesselList(TPvessel tPvessel)
    {
        return tPvesselMapper.selectTPvesselList(tPvessel);
    }

    /**
     * 新增容器清单
     *
     * @param tPvessel 容器清单
     * @return 结果
     */
    @Override
    public int insertTPvessel(TPvessel tPvessel)
    {
        return tPvesselMapper.insertTPvessel(tPvessel);
    }

    /**
     * 修改容器清单
     *
     * @param tPvessel 容器清单
     * @return 结果
     */
    @Override
    public int updateTPvessel(TPvessel tPvessel)
    {
        return tPvesselMapper.updateTPvessel(tPvessel);
    }

    /**
     * 批量删除容器清单
     *
     * @param ids 需要删除的容器清单ID
     * @return 结果
     */
    @Override
    public int deleteTPvesselByIds(Long[] ids)
    {
        return tPvesselMapper.deleteTPvesselByIds(ids);
    }

    /**
     * 删除容器清单信息
     *
     * @param id 容器清单ID
     * @return 结果
     */
    @Override
    public int deleteTPvesselById(Long id)
    {
        return tPvesselMapper.deleteTPvesselById(id);
    }
}
